@import url('https://fonts.googleapis.com/css2?family=Figtree:wght@500;800&display=swap');

:root {
    --color-yellow: hsl(47, 88%, 63%);
    --color-white: hsl(0, 0%, 100%);
    --color-gray-500: hsl(0, 0%, 42%);
    --color-gray-950: hsl(0, 0%, 7%);
    
    --font-main: 'Figtree', sans-serif;
}

*, *::before, *::after {
    box-sizing: border-box;
}

html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

body {
    background-color: var(--color-yellow);
    font-family: var(--font-main);
}

main {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.card {
    background-color: var(--color-white);
    border-radius: 1.25rem;
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    
    width: clamp(20rem, 90%, 24rem);
    
    border: 0.0625rem solid var(--color-gray-950);
    box-shadow: 0.5rem 0.5rem 0px 0px var(--color-gray-950);
}

.card-illustration {
    width: 100%;
    height: auto;
    border-radius: 0.625rem;
}

.badge-learning {
    font-weight: 800;
    background-color: var(--color-yellow);
    color: var(--color-gray-950);
    padding: 0.375rem 0.75rem;
    border-radius: 0.3125rem;
    margin-block-start: 1.5rem;
    margin-block-end: 0;
    margin-inline: 0;
    font-size: 0.875rem;
}

.published-date {
    margin-block-start: 0.75rem;
    margin-block-end: 0;
    margin-inline: 0;
    font-size: 0.875rem;
    font-weight: 500;
    color: var(--color-gray-950);
}

.card-title {
    font-size: 1.5rem;
    font-weight: 800;
    color: var(--color-gray-950);
    margin-block-start: 0.75rem;
    margin-block-end: 0;
    margin-inline: 0;
    cursor: pointer;
}

.card-title:hover {
    color: var(--color-yellow);
}

.card-description {
    color: var(--color-gray-500);
    font-size: 1rem;
    font-weight: 500;
    line-height: 1.5;
    margin-block-start: 0.75rem;
    margin-block-end: 0;
    margin-inline: 0;
}

.user-profile {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    margin-block-start: 1.5rem;
}

.avatar {
    width: 2rem;
    height: 2rem;
}

.user-name {
    color: var(--color-gray-950);
    font-weight: 800;
    font-size: 0.875rem;
}
